@import url('styles');

@sub-sidebar-bg-color: @white;

// * {
//   outline: #4CAF50 solid 1px;
// }
.sub-sidebar-tab-container {
  display: flex;
  flex-direction: column;
  margin-top: @lms-sidebar-top-offset;
  background-color: @sub-sidebar-bg-color;
  box-shadow: @elevation-medium;
  overflow: hidden;
  border-radius: 0 @lms-border-radius @lms-border-radius 0;
  .medium-elevation-mixin();
  .sub-sidebar-tab {
    display: flex;
    width: 100%;
    color: @primary;
    height: clamp(0.2em, 0.3em, 0.4em);
    align-items: center;
    justify-content: flex-start;
    font-size: large;
    font-weight: bold;
    padding: 1.2em 1.2em;
  }

  .sub-sidebar-tab:hover {
    background-color: lighten(@primary, 20%);
    color: whitesmoke;
  }

  .sub-sidebar-tab-selected {
    background-color: darken(@primary, 10%);
    color: white;

  }
}